#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "../include/libcolor.h"

#include "config.h"

char mkevent(int argc, char *argv[]) {
	FILE *fp;

	fp = fopen(NC_EVENTS_FILE, "a+");
	if (fp == NULL) {
		printf(TXT_BOLD COL_RED "events file does not exist\n");
		printf("ensure the events file defined in config.h exists\n" COL_RESET TXT_RESET);
		exit(1);
	}

	if (argc < 2) {
		printf(TXT_BOLD COL_RED "not enough arguments\n" COL_RESET TXT_RESET);
		return 1
	}

	printf("creating event on date %s", argv[2]);
	printf("with name %s", argv[3]);
	fprintf(fp, "BEGIN ENTRY\n");
	fprintf(fp, "%s", argv[2]); /* print date */
	fprintf(fp, "%s", argv[3]); /* print name */
	fprintf(fp, "END ENTRY\n");
	fclose(fp);
}
